import {
  a as n
} from "./chunk-ZKBAQ3ZQ.js";
import {
  a as r,
  c as g
} from "./chunk-IO47FP3U.js";

// ../node_modules/refractor/lang/racket.js
var s = g((c, t) => {
  var l = n();
  t.exports = a;
  a.displayName = "racket";
  a.aliases = ["rkt"];
  function a(e) {
    e.register(l), e.languages.racket = e.languages.extend("scheme", {
      "lambda-parameter": {
        // the racket lambda syntax is a lot more complex, so we won't even attempt to capture it.
        // this will just prevent false positives of the `function` pattern
        pattern: /([(\[]lambda\s+[(\[])[^()\[\]'\s]+/,
        lookbehind: !0
      }
    }), e.languages.insertBefore("racket", "string", {
      lang: {
        pattern: /^#lang.+/m,
        greedy: !0,
        alias: "keyword"
      }
    }), e.languages.rkt = e.languages.racket;
  }
  r(a, "racket");
});

export {
  s as a
};
